gSOAP WS-Addressing: /Users/engelen/Projects/gsoap/plugin/wsaapi.h File Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# /Users/engelen/Projects/gsoap/plugin/wsaapi.h File Reference

`#include "soapH.h"`

Include dependency graph for wsaapi.h:

This graph shows which files directly or indirectly include this file:

## Classes
struct | soap_wsa_data
| plugin data to override callbacks More...
## Defines
#define | SOAP_WSA_ID "SOAP-WSA-1.3"
#define | SOAP_WSA(member) wsa__##member
#define | SOAP_WSA_(prefix, member) prefix##_wsa__##member
#define | SOAP_WSA__(prefix, member) prefix##wsa__##member
## Functions
int | soap_wsa (struct soap *soap, struct soap_plugin *p, void *arg)
| Plugin registry function, used with soap_register_plugin.
int | soap_wsa_request (struct soap *soap, const char *id, const char *to, const char *action)
| Sets the WS-Addressing information header for the next request message with MessageID (optional), To (optional), and Action (required).
int | soap_wsa_add_From (struct soap *soap, const char *endpoint)
| Sets WS-Addressing From header for request message.
int | soap_wsa_add_NoReply (struct soap *soap)
| Sets WS-Addressing ReplyTo header to 'none' (no reply).
int | soap_wsa_add_ReplyTo (struct soap *soap, const char *endpoint)
| Sets WS-Addressing ReplyTo header for request message.
int | soap_wsa_add_FaultTo (struct soap *soap, const char *endpoint)
| Sets WS-Addressing FaultTo header for request message.
int | soap_wsa_check (struct soap *soap)
| Checks the presence and validity of WS-Addressing information headers.
int | soap_wsa_reply (struct soap *soap, const char *id, const char *action)
| Sets WS-Addressing header fields for server response. Automatically relays the response to the ReplyTo address (when ReplyTo != to From and ReplyTo != 'none') and returns HTTP 202 Accept to sender when relay was successful.
int | soap_wsa_sender_fault_subcode (struct soap *soap, const char *faultsubcode, const char *faultstring, const char *faultdetail)
| Sets sender SOAP Fault (sub)code for server fault response.
int | soap_wsa_receiver_fault_subcode (struct soap *soap, const char *faultsubcode, const char *faultstring, const char *faultdetail)
| Sets receiver SOAP Fault (sub)code for server fault response.
int | soap_wsa_sender_fault (struct soap *soap, const char *faultstring, const char *faultdetail)
| Sets sender SOAP Fault for server fault response.
int | soap_wsa_receiver_fault (struct soap *soap, const char *faultstring, const char *faultdetail)
| Sets receiver SOAP Fault for server fault response.
int | soap_wsa_fault_subcode (struct soap *soap, int flag, const char *faultsubcode, const char *faultstring, const char *faultdetail)
| Sets sender/receiver SOAP Fault (sub)code for server fault response.
int | soap_wsa_check_fault (struct soap *soap, SOAP_WSA(FaultSubcodeValues)*fault)
| Checks the presence of a WS-Addressing fault.
int | soap_wsa_error (struct soap *soap, SOAP_WSA(FaultSubcodeValues) fault)
| Sets SOAP Fault (sub)code for server WS-Addressing fault response.
## Variables
const char | soap_wsa_id []
const char * | soap_wsa_noneURI
const char * | soap_wsa_anonymousURI
const char * | soap_wsa_faultAction

## Define Documentation

#define SOAP_WSA | ( | member |  | ) | wsa__##member

#define SOAP_WSA_ | ( | prefix,
|  | member |  | ) | prefix##_wsa__##member

#define SOAP_WSA__ | ( | prefix,
|  | member |  | ) | prefix##wsa__##member

#define SOAP_WSA_ID "SOAP-WSA-1.3"

| plugin identification for plugin registry

## Function Documentation

int soap_wsa | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg
| ) |

  | Plugin registry function, used with soap_register_plugin. Parameters:
  | soap | context
  `[in,out]` | p | plugin created in registry
  `[in]` | arg | passed from soap_register_plugin_arg
Returns: SOAP_OK

int soap_wsa_add_FaultTo | ( | struct soap * | soap,
|  | const char * | faultTo
| ) |

  | Sets WS-Addressing FaultTo header for request message. Parameters:
  | soap | context
  `[in]` | faultTo | endpoint URI
Returns: SOAP_OK or SOAP_ERR Use soap_wsa_request to populate the WS-Addressing header first.

int soap_wsa_add_From | ( | struct soap * | soap,
|  | const char * | from
| ) |

  | Sets WS-Addressing From header for request message. Parameters:
  | soap | context
  `[in]` | from | endpoint URI
Returns: SOAP_OK or SOAP_ERR Use soap_wsa_request to populate the WS-Addressing header first.

int soap_wsa_add_NoReply | ( | struct soap * | soap | ) |

  | Sets WS-Addressing ReplyTo header to 'none' (no reply). Parameters:
  | soap | context
Returns: SOAP_OK or SOAP_ERR Note: WS-Addressing 2005/08 standard. Use soap_wsa_request to populate the WS-Addressing header.

int soap_wsa_add_ReplyTo | ( | struct soap * | soap,
|  | const char * | replyTo
| ) |

  | Sets WS-Addressing ReplyTo header for request message. Parameters:
  | soap | context
  `[in]` | replyTo | endpoint URI
Returns: SOAP_OK or SOAP_ERR Use soap_wsa_request to populate the WS-Addressing header.

int soap_wsa_check | ( | struct soap * | soap | ) |

  | Checks the presence and validity of WS-Addressing information headers. Parameters:
  | soap | context
Returns: SOAP_OK or fault

int soap_wsa_check_fault | ( | struct soap * | soap,
|  | SOAP_WSA(FaultSubcodeValues)* | fault
| ) |

  | Checks the presence of a WS-Addressing fault. Parameters:
  | soap | context
  `[out]` | fault | code
Returns: SOAP_OK (no fault) or fault code

int soap_wsa_error | ( | struct soap * | soap,
|  | SOAP_WSA(FaultSubcodeValues) | fault
| ) |

  | Sets SOAP Fault (sub)code for server WS-Addressing fault response. Parameters:
  | soap | context
  `[in]` | fault | is one of wsa:FaultSubcodeValues
Returns: SOAP_FAULT

int soap_wsa_fault_subcode | ( | struct soap * | soap,
|  | int | flag,
|  | const char * | faultsubcode,
|  | const char * | faultstring,
|  | const char * | faultdetail
| ) |

  | Sets sender/receiver SOAP Fault (sub)code for server fault response. Parameters:
  | soap | context
  `[in]` | flag | 0=receiver, 1=sender
  `[in]` | faultsubcode | sub code string
  `[in]` | faultstring | fault string
  `[in]` | faultdetail | detail string
Returns: SOAP_FAULT

int soap_wsa_receiver_fault | ( | struct soap * | soap,
|  | const char * | faultstring,
|  | const char * | faultdetail
| ) |

  | Sets receiver SOAP Fault for server fault response. Parameters:
  | soap | context
  `[in]` | faultstring | fault string
  `[in]` | faultdetail | detail string
Returns: SOAP_FAULT

int soap_wsa_receiver_fault_subcode | ( | struct soap * | soap,
|  | const char * | faultsubcode,
|  | const char * | faultstring,
|  | const char * | faultdetail
| ) |

  | Sets receiver SOAP Fault (sub)code for server fault response. Parameters:
  | soap | context
  `[in]` | faultsubcode | sub code string
  `[in]` | faultstring | fault string
  `[in]` | faultdetail | detail string
Returns: SOAP_FAULT

int soap_wsa_reply | ( | struct soap * | soap,
|  | const char * | id,
|  | const char * | action
| ) |

  | Sets WS-Addressing header fields for server response. Automatically relays the response to the ReplyTo address (when ReplyTo != to From and ReplyTo != 'none') and returns HTTP 202 Accept to sender when relay was successful. Parameters:
  | soap | context
  `[in]` | id | is the messageID (optional)
  `[in]` | action | is the target action (required)
Returns: SOAP_OK or fault

int soap_wsa_request | ( | struct soap * | soap,
|  | const char * | id,
|  | const char * | to,
|  | const char * | action
| ) |

  | Sets the WS-Addressing information header for the next request message with MessageID (optional), To (optional), and Action (required). Parameters:
  | soap | context
  `[in]` | id | is the message ID (optional)
  `[in]` | to | is the target endpoint (optional, set to anonymous when NULL)
  `[in]` | action | is the target action (required)
Returns: SOAP_OK or error Note: use soap_wsa_add_From, soap_wsa_add_ReplyTo, soap_wsa_add_FaultTo to add other addressing fields following this function call.

int soap_wsa_sender_fault | ( | struct soap * | soap,
|  | const char * | faultstring,
|  | const char * | faultdetail
| ) |

  | Sets sender SOAP Fault for server fault response. Parameters:
  | soap | context
  `[in]` | faultstring | fault string
  `[in]` | faultdetail | detail string
Returns: SOAP_FAULT

int soap_wsa_sender_fault_subcode | ( | struct soap * | soap,
|  | const char * | faultsubcode,
|  | const char * | faultstring,
|  | const char * | faultdetail
| ) |

  | Sets sender SOAP Fault (sub)code for server fault response. Parameters:
  | soap | context
  `[in]` | faultsubcode | sub code string
  `[in]` | faultstring | fault string
  `[in]` | faultdetail | detail string
Returns: SOAP_FAULT

## Variable Documentation

const char* soap_wsa_anonymousURI

| Anonymous Reply/To endpoint address

const char* soap_wsa_faultAction

const char soap_wsa_id[]

| Plugin identification for plugin registry

const char* soap_wsa_noneURI

| Specifies no Reply endpoint address (no reply)